Go
package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.Connections.ScimConfiguration.Tokens.Get(
context.TODO(),
"id",
)
}import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.connections.scimConfiguration.tokens.get("id");
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.connections.scimConfiguration.tokens.get("id");
}
main();curl --request GET \
--url https://{tenantDomain}/api/v2/connections/{id}/scim-configuration/tokens \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}/api/v2/connections/{id}/scim-configuration/tokens"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
[
{
"token_id": "<string>",
"scopes": [
"<string>"
],
"created_at": "<string>",
"valid_until": "<string>",
"last_used_at": "<string>"
}
]Get a connection's SCIM tokens
Retrieves all scim tokens by its connection id.
GET
https://{tenantDomain}/api/v2
/
connections
/
{id}
/
scim-configuration
/
tokens
Go
package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.Connections.ScimConfiguration.Tokens.Get(
context.TODO(),
"id",
)
}import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.connections.scimConfiguration.tokens.get("id");
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.connections.scimConfiguration.tokens.get("id");
}
main();Autorisations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Paramètres de chemin
The id of the connection to retrieve its SCIM configuration
Réponse
The connection's SCIM tokens were retrieved. See Response Schemas for schema.
Cette page vous a-t-elle été utile ?
⌘I